Requires Node 0.11.13 and above.

This Node script uses Object.observe to monitor an object/array recursively for changes to its properties/elements.  It outputs a JSONPatch (RFC 6902) document describing the changes.

###USAGE
```javascript
var observe = require("jsonpatch-observe").observe;
observe(myobj, onPatches);

function onPatches(arrayOfPatches) {
	...
}
```

###Non-Conformance
This script generates a non-standard patch for array changes.  Specifically `push`, `pop`, `shift`, `unshift`, and `splice` will generate the following patch that is not part of RFC 6902:

```
{
	op: "splice",
	path: PathToIndexInArray,
	add: ArrayOfElementsAdded,
	remove: NumberOfElementsRemoved
}
```
